%global momorel 32
%define _sbindir /sbin

Summary: The GNU disk partition manipulation program.
Name: parted
Version: 1.6.3
Release: %{momorel}m
License: GPL
Group: Applications/System
Source: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Patch0: parted-1.6.3-fat.c.patch
# NOTE: remove patch1 when updating to a new tarball
Patch1: parted-1.6.3-debug.patch
Patch2: parted-1.6.3-vtoc.patch
Patch3: parted-1.6.3-s390update.patch
Patch4: parted-1.6.3-ldl.patch
Patch5: parted-1.6.3-iseries.patch
Patch6: parted-1.6.3-aix.patch
Patch7: parted-1.6.3-s390raidlvm.patch
Patch8: parted-1.6.3-gptver.patch
Patch9: parted-1.6.3-destroy-segfault.patch
Requires: e2fsprogs readline
BuildRequires: e2fsprogs-devel, libtermcap-devel, readline-devel, python-devel, python
URL: http://www.gnu.org/directory/gnuparted.html
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
The GNU Parted program allows you to create, destroy, resize, move,
and copy hard disk partitions. Parted can be used for creating space
for new operating systems, reorganizing disk usage, and copying data
to new hard disks.

%package python
Summary: Development files for Python needed for partition configuration.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: python

%description python
The parted-python package contains the partedmodule library, which is used
for partition configuration on Python.

%package devel
Summary: Files for developing apps which will manipulate disk partitions.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The GNU Parted library is a set of routines for hard disk partition
manipulation. If you want to develop programs that manipulate disk
partitions and filesystems using the routines provided by the GNU
Parted library, you need to install this package.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .sigfpe
%patch1 -p1 -b .dasddbg
%patch2 -p1 -b .vtoc
%patch3 -p1 -b .s390update
%patch4 -p1 -b .ldl
%patch5 -p1 -b .iseries
%patch6 -p1 -b .aix
%patch7 -p1 -b .s390raidlvm
%patch8 -p1 -b .gptver
%patch9 -p1 -b .segfault

%build
#define __libtoolize /bin/true
%configure --enable-shared --enable-part-static \
	--enable-pc98=no --enable-Werror=no \
	--disable-dynamic-loading CC=gcc
export tagname=CC
%make LIBTOOL=/usr/bin/libtool

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
export LD_LIBRARY_PATH=%{buildroot}/usr/lib
# don't relink the python module
sed 's/^relink_command=/#relink_command=/' python/partedmodule.la > python/partedmodule.la-
mv python/partedmodule.la- python/partedmodule.la
export tagname=CC
%makeinstall LIBTOOL=/usr/bin/libtool
find %{buildroot} -name '*.la' -exec rm {} \;
rm -f %{buildroot}/usr/lib/python*/site-packages/*.a

# remove
rm -f %{buildroot}%{_infodir}/dir

%find_lang %name

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README THANKS TODO doc/COPYING.DOC doc/API doc/USER doc/FAT
%{_sbindir}/*
%{_mandir}/*/*
%{_libdir}/*.so*
%{_infodir}/parted.info*
%dir %{_libdir}/python?.?/site-packages

%files python
%defattr(-,root,root)
%{_libdir}/python?.?/site-packages/*.so

%files devel
%defattr(-,root,root)
%{_prefix}/include/*
%{_libdir}/*.a*
%{_datadir}/aclocal/parted.m4

%changelog
* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.6.3-32m)
- remove Epoch

* Mon Apr 26 2004 Toru Hoshina <t@momonga-linux.org>
- (1.6.3-31m)
- imported from FC1 again. python module is neseccary for anaconda.

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (1.6.5-4m)
- revised spec for rpm 4.2.

* Sun Oct 19 2003 YAMAZAKI Makoto <zaki@zakky.org<\>
- (1.6.5-3m)
- put source into repository

* Sun Mar  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.5-2m)
- add URL tag

* Sat Mar  1 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.6.5-1m)
  update to 1.6.5

* Wed Dec 18 2002 TAKAHASHI Tamotsu
- (1.6.4-1m)

* Sat Oct 26 2002 Kikutani Makoto <poo@momonga-linux.org>
- (1.6.3-1m)
  update to 1.6.3

* Thu Jul 25 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.6.2-1m)
  update to 1.6.2

* Tue Apr 30 2002 Tamotsu TAKAHASHI <arms405@jade.dti.ne.jp>
- (1.6.0-2k)
- decided to libtoolize
- configure --disable-dynamic-loading CC=gcc

* Sat Mar 23 2002 Toru Hoshina <t@kondara.org>
- (1.4.24-6k)
- libunicode is no longer used.

* Thu Feb 21 2002 Shingo Akagaki <dora@kondara.org>
- (1.4.24-4k)
- just rebuild for parted-python

* Thu Feb  7 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.4.24-2k)
  update to 1.4.24

* Sun Jan 13 2002 Shingo Akagaki <dora@kondara.org>
- (1.4.22-2k)
- version 1.4.22

* Wed Nov  7 2001 Shingo Akagaki <dora@kondara.org>
- (1.4.20-6k)
- remove python module

* Mon Nov  5 2001 Toru Hoshina <t@kondara.org>
- (1.4.20-4k)
- forgot python module (TT)

* Thu Oct 25 2001 Toru Hoshina <t@kondara.org>
- (1.4.20-2k)
- 1st release.
- merge from rawhide [1.4.20-0.1pre3]

* Thu Oct 11 2001 Matt Wilson <msw@redhat.com> 1.4.20-0.1pre3
- new dist from CVS with new autoconf and automake
- gpt is in 1.4.20, removed patch1 (gpt support)
- partstatic is in 1.4.20, removed patch2 (partstatic patch)

* Tue Aug 28 2001 Matt Wilson <msw@redhat.com> 1.4.16-8
- new dist from cvs with changes to the python binding: register
  DEVICE_I20 and DEVICE_ATARAID, check to make sure that a partition
  exists in the PedDisk when using it to find ped_disk_next_partition

* Tue Aug 21 2001 Matt Wilson <msw@redhat.com> 1.4.16-7
- really disable pc98 support (SF #51632)

* Fri Aug 17 2001 Matt Wilson <msw@redhat.com> 1.4.16-6
- added a patch (Patch1) to link the c library in dynamically, the
  rest of the libs statically for the parted binary (MF #49358)

* Tue Aug  7 2001 Matt Wilson <msw@redhat.com>
- made a new dist from CVS that includes binding for
  disk.get_partition_by_sector and accessing the name of a disk type

* Mon Aug  6 2001 Matt Wilson <msw@redhat.com> 1.4.16-4
- created a new dist from CVS that fixes ext3 detection when
  _probe_with_open is needed (#50292)

* Fri Jul 20 2001 Matt Wilson <msw@redhat.com>
- rewrite scsi id code (#49533)

* Fri Jul 20 2001 Matt Wilson <msw@redhat.com>
- added build requires (#49549)

* Tue Jul 17 2001 Matt Wilson <msw@redhat.com>
- 1.4.16
- regenerated gpt patch against 1.4.16, incorporated
  parted-1.4.15-pre1-gpt-printf.patch into the same patch, removed Patch1

* Tue Jul 10 2001 Matt Wilson <msw@redhat.com>
- added a new dist tarball that contains python wrappers to get disk types

* Tue Jul 10 2001 Tim Powers <timp@redhat.com>
- run ldconfig on un/install

* Tue Jul 10 2001 Matt Wilson <msw@redhat.com>
- added a fix from clausen for border case when there is an extended
  on the last cyl

* Mon Jul  9 2001 Matt Wilson <msw@redhat.com>
- 1.4.15

* Thu Jul  5 2001 Matt Wilson <msw@redhat.com>
- added patch from Arjan to enable ataraid support

* Wed Jul  4 2001 Matt Wilson <msw@redhat.com>
- imported 1.4.15-pre2 into CVS and made a new dist tarball

* Tue Jun 26 2001 Matt Wilson <msw@redhat.com>
- added a new dist tarball that contains a check in python code to
  make sure that a partition exists within a disk before trying to
  remove it from the disk
- also changed _probe_with_open to make the first probed filesystem win

* Tue Jun 26 2001 Bill Nottingham <notting@redhat.com>
- fix filesystem type reading on GPT disks

* Tue Jun 26 2001 Matt Wilson <msw@redhat.com>
- added another fix for ext2/ext3
- added Patch4 to move the crc32 function into its own namespace so
  we don't colide with zlib when both are in the same executable space

* Mon Jun 25 2001 Matt Wilson <msw@redhat.com>
- added a new dist tarball from CVS that includes
  ext3 probing

* Wed Jun  6 2001 Matt Wilson <msw@redhat.com>
- updated dist with binding for partition.geom.disk

* Tue Jun  5 2001 Matt Wilson <msw@redhat.com>
- make a new dist tarball that has new python binding changes

* Tue May 29 2001 Bill Nottingham <notting@redhat.com>
- add major numbers for cciss 
- add libunicode-devel buildprereq

* Sun May 27 2001 Matthew Wilson <msw@redhat.com>
- added type, heads, and sectors to the python binding for PedDevice

* Fri May  4 2001 Matt Wilson <msw@redhat.com>
- added parted-1.4.11-gpt-pmbralign.patch from Matt Domsch

* Wed May  2 2001 Matt Wilson <msw@redhat.com>
- include python binding
- enable shared library (for python binding, we want fpic code)
  with --enable-shared
- build parted binary static with --enable-all-static
- don't run libtoolize on this.

* Wed May 02 2001 Bill Nottingham <notting@redhat.com>
- update to 1.4.11
- add EFI GPT patch from Matt Domsch (<Matt_Domsch@dell.com>)
- don't run autoconf, it relies on a newer non-released version
  of autoconf...

* Fri Feb 23 2001 Trond Eivind Glomsr?<teg@redhat.com>
- langify

* Wed Jan 17 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.4.7

* Thu Dec 14 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Fri Nov 03 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.12

* Wed Nov 01 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.11

* Tue Oct 17 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.10

* Sun Sep 10 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.9

* Tue Aug 29 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- fix bug when just hitting "return" with no user input

* Sun Aug 20 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- 1.2.8
- blksize patch not needed anymore
- move changelog to the end of the spec file

* Wed Aug 16 2000 Matt Wilson <msw@redhat.com>
- 1.2.7
- patched configure script to ignore the 2.4 blkpg.h header (fixes #15835).

* Fri Aug  4 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.6

* Sat Jul 22 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 1.2.5
- add more docu

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 12 2000 Matt Wilson <msw@redhat.com>
- initialization of spec file.
